Bug 197607 - Yum tracebacks on install
Yum tracebacks on install
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
  Show dependency treegraph
Reported: 2006-07-04 11:12 EDT by Florian Festi
Modified: 2014-01-21 17:54 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-05 12:11:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Use an actual debugging level (760 bytes, patch)
2006-07-05 10:17 EDT, James Bowes
no flags Details | Diff

  None (edit)
Description Florian Festi 2006-07-04 11:12:31 EDT
Description of problem:

yum tracebacks on 

Version-Release number of selected component (if applicable): yum-2.9.2-1 

How reproducible:

Steps to Reproduce:
1. Install current FC-6 devel (x86_64)
2. Have cups-devel installed
3. sudo yum install cups-devel

$ sudo yum install cups-devel
Setting up Install Process
Setting up repositories
Reading repository metadata in from local files
Parsing package install arguments
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in ?
  File "/usr/share/yum-cli/yummain.py", line 102, in main
    result, resultmsgs = do()
  File "/usr/share/yum-cli/cli.py", line 436, in doCommands
    return self.installPkgs()
  File "/usr/share/yum-cli/cli.py", line 788, in installPkgs
AttributeError: 'module' object has no attribute 'DEBUG_6'

Expected results:

Could not find update match for cups-devel
No Packages marked for Update/Obsoletion

Additional Info:
Didn't get that traceback wenn trying some other packages.
Comment 1 James Bowes 2006-07-05 10:17:38 EDT
Created attachment 131929 [details]
Use an actual debugging level

Oops. The old log level of '6' should have been translated to DEBUG_3, not
Comment 2 Jeremy Katz 2006-07-05 12:11:41 EDT
Committed upstream and in yum-2.9.2-3

Note You need to log in before you can comment on or make changes to this bug.